namespace FitConnect.Services.Models;

public class DestinationReplyChannelsDto {
    public DeMailDto? DeMail;


    public ElsterDto? Elster;
    public EmailDto? EMail;


    public FinkDto? Fink;


    public DestinationReplyChannelsDto(
        EmailDto eMail,
        DeMailDto deMail,
        FinkDto fink,
        ElsterDto elster) {
        EMail = EMail;
        DeMail = DeMail;
        Fink = Fink;
        Elster = Elster;
    }


    public bool IsEmpty() {
        return EMail == null && DeMail == null && Fink == null && Elster == null;
    }
}
