# Fit-Connect .NET SDK

**Fit-Connect .NET SDK** is a .NET library for the Fit-Connect API.

**IN DEVELOPMENT NOT FOR PRODUCTION USE**


## Structure

```mermaid
 classDiagram
  class FitConnectSDK{
   FitConnectApiService
  }
  
  class FitConnectApiService{
    CasesService
    DestinationService
    InfoService
    OAuthService    
  }
  
  FitConnectSDK ..> FitConnectApiService : Dependency
  FitConnectApiService ..> CasesService : Dependency
  FitConnectApiService ..> DestinationService : Dependency
  FitConnectApiService ..> InfoService : Dependency
  FitConnectApiService ..> OAuthService : Dependency
  
  CasesService --|> RestCallService : Inheritance
  DestinationService --|> RestCallService : Inheritance
  InfoService --|> RestCallService : Inheritance
  OAuthService --|> RestCallService : Inheritance
```

## Ignored Files

You need a secret file for e2e test like:

```json
{
  "sender": {
    "id": "00000000-0000-0000-0000-000000000000",
    "secret": "0000000000000000000000000000000000000000000",
    "scope": "send:region:DE"
  }
}
```

[glossary](https://docs.fitko.de/fit-connect/docs/glossary/)

### Tickets

- [Method signatures](https://git.fitko.de/fit-connect/planning/-/issues/438)
- [Java SDK](https://git.fitko.de/fit-connect/planning/-/issues/413)