using System.Text.Json.Serialization;
using FitConnect.Services.Models;

namespace FitConnect.Models;

public record Callback(string? Url, string? Secret) {
    public static explicit operator Callback(CallbackDto dto) => new(dto.Url, null);

    public static explicit operator CallbackDto(Callback model) => new() { Url = model.Url };
}
