﻿using System.Security.Cryptography.X509Certificates;
using FitConnect.BaseClasses;
using FitConnect.Models;
using FitConnect.Services.Models;
using Microsoft.Extensions.Logging;

namespace FitConnect;

public class Sender : FunctionalBaseClass {
    public Sender(ILogger? logger, FitConnectEndpoints endpoints,
        X509Certificate2? certificate = null) : base(logger, endpoints, certificate) {
    }


    /// <summary>
    ///     Check public keys
    /// </summary>
    /// <returns></returns>
    public async Task<bool> CheckPublicKeyAsync(string publicKey) {
        throw new NotImplementedException();
    }

    /// <summary>
    ///     Encrypt attachments (Anhänge)
    /// </summary>
    /// <param name="attachment"></param>
    /// <returns></returns>
    public async Task<string> EncryptAttachment(string attachment, string publicKey) {
        throw new NotImplementedException();
    }

    /// <summary>
    ///     Create Metadata incl. Hash
    /// </summary>
    /// <param name="data"></param>
    /// <param name="attachment"></param>
    /// <returns></returns>
    public async Task<string>
        CreateMetadataAsync(string data, string attachment, string publicKey) {
        throw new NotImplementedException();
    }

    /// <summary>
    ///     Check public keys
    /// </summary>
    /// <returns></returns>
    public async Task<bool> CheckPublicKeyAsync() {
        throw new NotImplementedException();
    }

    /// <summary>
    ///     Encrypt Data (Fachdaten)
    /// </summary>
    /// <param name="data"></param>
    /// <returns></returns>
    public byte[] EncryptDataAsync(string? data) {
        if (data == null) return new byte[] { };
        throw new NotImplementedException();
    }

    /// <summary>
    ///     Encrypt attachments (Anhänge)
    /// </summary>
    /// <param name="attachment"></param>
    /// <returns></returns>
    public KeyValuePair<string, byte[]> EncryptAttachment(Attachment attachment) {
        throw new NotImplementedException();
    }

    /// <summary>
    ///     Create Metadata incl. Hash
    /// </summary>
    /// <param name="data"></param>
    /// <param name="attachment"></param>
    /// <returns></returns>
    public async Task<string> CreateMetadataAsync(string data, byte[] attachment) {
        throw new NotImplementedException();
    }

    public async Task<CreateSubmissionDto> CreateSubmissionDtoAsync(Submission submission) {
        throw new NotImplementedException();
    }

    public async Task UploadAttachmentsAsync(
        List<KeyValuePair<string, byte[]>> encryptedAttachments) {
        throw new NotImplementedException();
    }

    public async Task SubmitSubmissionAsync(Submission submission) {
        throw new NotImplementedException();
    }
}
